标记的问题 [easy-install]

2419
35 回复
如何在Windows上安装pip?
pip 是 easy_install 。但是我应该在Windows上使用pip安装easy_install吗?还有更好的方法吗?      2419 虽然我同意你的意见,但所有的Windows程序...
46
4 回复
如何在Jython中安装各种Python库?
我知道我可以用Java安装Jython,并且我可以在使用Python的地方使用Jython。 Jython shell工作正常。 在Jython中,如何安装我通常通过lxml或Scrappy安装的...
133
11 回复
在64位Windows上安装SetupTools
我在Windows 7 64位上运行Python 2.7,当我运行setuptools的安装程序时,它告诉我没有安装Python 2.7。具体的错误消息是:  `Python Version 2.7 required...
17
4 回复
pip从setup.py安装tox的tox依赖项
我用setuptools制作了我的项目,我想用tox进行测试。我在变量中列出了依赖项并添加到setup()参数(tests_require和extras_require)。我的项目需要安装test...
76
10 回复
如何在Windows上pip或easy_install tkinter
My Idle抛出错误并说tkinter无法导入。 是否有通过tkinter或pip安装easy_install的简单方法? 似乎有很多包裹名称飞来飞去...... tkinter-pypy的这种...
22
5 回复
安装easy_install ...以安装lxml
我已经开始认识到ElementTree不会按照我的意愿去做。我已经查看了lxml的文档,看来它将满足我的目的。要获得lxml,我需要获得easy_install。所以我从这里下...
问 9年前
14
4 回复
使用pip或easy_install从repos安装Python包
到目前为止,处理python包安装的最简单方法是从源代码控制系统中检查源代码,然后在python dist-packages文件夹中添加一个符号链接。 显然,由于源代码控...
122
3 回复
我可以使用`pip`而不是`easy_install`来进行`python setup.py install`依赖解析吗?
python setup.py install将使用requires=[]自动安装easy_install中列出的软件包。如何让它使用pip呢?      122 3答案                             ...
问 9年前
18
3 回复
在升级到OS X Mavericks之后破坏了easy_install和pip
升级到OS X 10.9 Mavericks并安装了XCode,命令行工具,XQuartz等。现在尝试运行pip安装,但是它说没有找到分发:  Traceback (most recent call last):...
41
8 回复
向Spyder添加模块(特别是pymorph)(Python IDE)
我已经设法在我的mac上安装spyder并运行,但我想添加一些默认情况下不包含的模块(mahotas和pymorph)。 我通过easy_install在终端中安装了两个,两者似...
16
4 回复
如何在Windows中安装没有easy_install的.egg文件?
我有Python 2.6,我想安装easy _ install模块。问题是,Python 2.6的easy _ install唯一可用的安装包是.egg文件!我该怎么办?      16 4个答案       ...
问 10年前
14
6 回复
无法使用easy_install来安装Python模块
我正在尝试使用easy_install来安装一个名为 requests 的模块  easy_install requests 一周前我使用Python 2.6.5时运行良好,但今天我安装了Python 2.7.2...
13
2 回复
使用带有pip的--process-dependency-links的替代方法是什么
我正在使用Python 2.7。我正在尝试pip install一个repo(在内部github上),它依赖于另一个repo(也在内部github上)。我尝试了几种选择,但有效的是:  (...
14
6 回复
设置SSL后安装pycurl时出现SSL错误
开始提供一些信息: 我正在运行Mac OS 10.7.5 我安装了卷曲7.21.4(我相信使用开发工具) 我有python 2.7.1 我一直在尝试安装pycurl,但每次尝试运行...
问 5年前